#include <stdio.h>
#include <string.h>

typedef struct {
    char ime1[51], ime2[51];
    int setovi1, setovi2;
} mec;

int prebroji(FILE* ulaz, char* ime) {
    mec temp;
    int brojac = 0;
    fseek(ulaz, 0, SEEK_SET);
    while (fread(&temp, sizeof(mec), 1, ulaz))
        brojac += !strcmp(temp.ime1, ime) + !strcmp(temp.ime2, ime);
    return brojac;
}

void pobjednik(FILE* ulaz, FILE* izlaz) {
    mec temp;
    while (fread(&temp, sizeof(mec), 1, ulaz)) {
        int poz = ftell(ulaz);
        if (prebroji(ulaz, temp.ime1) == 7 && prebroji(ulaz, temp.ime2) == 7) {
            fputs(temp.setovi1 > temp.setovi2 ? temp.ime1 : temp.ime2, izlaz);
            return;
        }
        fseek(ulaz, poz, SEEK_SET);
    }
}

int main(int argc, char* argv[]) {
    FILE* in = fopen(argv[1], "rb");
    FILE* out = fopen(argv[2], "w");
    pobjednik(in, out);
    fclose(in);
    fclose(out);
    return 0;
}