#include <stdio.h>
#include <string.h>

typedef struct {
    char ime1[51], ime2[51];
    int pogodci1, pogodci2;
} utakmica;

int prebroji(FILE* ulaz, char* ime) {
    utakmica temp;
    int brojac = 0;
    fseek(ulaz, 0, SEEK_SET);
    while (fread(&temp, sizeof(utakmica), 1, ulaz))
        brojac += !strcmp(temp.ime1, ime) + !strcmp(temp.ime2, ime);
    return brojac;
}

void prvak(FILE* ulaz, FILE* izlaz) {
    utakmica temp;
    while (fread(&temp, sizeof(utakmica), 1, ulaz)) {
        int poz = ftell(ulaz);
        if (prebroji(ulaz, temp.ime1) == 4 && prebroji(ulaz, temp.ime2) == 4) {
            fputs(temp.pogodci1 > temp.pogodci2 ? temp.ime1 : temp.ime2, izlaz);
            return;
        }
        fseek(ulaz, poz, SEEK_SET);
    }
}

int main(int argc, char* argv[]) {
    FILE* in = fopen(argv[1], "rb");
    FILE* out = fopen(argv[2], "w");
    prvak(in, out);
    fclose(in);
    fclose(out);
    return 0;
}